Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356193 - RHEV VM Reconfigure: Set memory to a size smaller than guaranteed memory fail
Summary: RHEV VM Reconfigure: Set memory to a size smaller than guaranteed memory fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.7.0
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev, VM Reconfigure
Depends On:
Blocks: 1357865
TreeView+ depends on / blocked
 
Reported: 2016-07-13 15:42 UTC by Ilanit Stein
Modified: 2017-03-14 12:44 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1357865 (view as bug list)
Environment:
Last Closed: 2017-01-11 19:54:05 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ilanit Stein 2016-07-13 15:42:53 UTC
Description of problem:

VM memory reconfigure-> set memory to a value, smaller than guaranteed memory, request fail:
"Error: [Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size.]"

Same operation, done on RHEV webadmin, behave differently:
The memory is set to the new value, though it is smaller than the guaranteed memory, and the guaranteed memory is set also to this new memory value.

Example case, where this bug can be seen:
VM memory cold remove 2048MB->100M, for VM with guaranteed memory of 512MB.

Version-Release number of selected component (if applicable):
CFME 5.6.0.11-rc2.2.20160614152915_f315c68
RHEVM-3.6.6.2-0.1.el6

How reproducible:
100%

Expected results:
Behaviout on CFME should be the same as RHEV bahaviour. Memory update to a value smaller than guaranteed memory should succeed.


Additional info:
Might be that RHEV webadmin, and RESTAPI memory setting responses, to a value smaller than guaranteed memory are different.

Comment 2 Moti Asayag 2016-07-17 17:14:05 UTC
https://github.com/ManageIQ/ovirt/pull/59/

Comment 5 Moti Asayag 2016-08-07 09:09:26 UTC
(In reply to Moti Asayag from comment #2)
> https://github.com/ManageIQ/ovirt/pull/59/

This bug was solved in manageIQ (instead of the first suggestion to solve it on ovirt gem which was abandoned).

The relevant merged PR is https://github.com/ManageIQ/manageiq/pull/9882

Comment 6 Ilanit Stein 2016-08-22 10:32:34 UTC
Verified on manageiq-ovirt-master-201608192000-6658ccc8e  and RHEVM-3.6.8-0.1.
VM memory cold remove 2048MB->100M, for VM with guaranteed memory of 512MB, from CFME side succeeded.
No error was seen on evm.log, or in the request result, seen on the CFME UI.

Comment 7 Ilanit Stein 2016-09-21 08:14:35 UTC
Verified on:

RHV-4.0.4.2-0.1.el7ev
5.7.0.1.20160913164703_66caf07


Note You need to log in before you can comment on or make changes to this bug.